diff -Nrc2 fontutils-0.5/bzrto/pstype1.h fontutils-0.6/bzrto/pstype1.h
*** fontutils-0.5/bzrto/pstype1.h	Mon Aug 17 14:59:11 1992
--- fontutils-0.6/bzrto/pstype1.h	Mon Oct 19 16:39:00 1992
***************
*** 25,46 ****
  #include "input-ccc.h"
  #include "tfm.h"
- #include "types.h"
  
  /* This is called first.  */
! extern void pstype1_start_output (string font_name, string output_name,
! 				  bzr_preamble_type, bzr_postamble_type,
!                                   string ps_fontname, tfm_global_info_type);
  
! /* Then this is called for each character.  */
! extern void pstype1_output_char_subr (bzr_char_type);
  
! /* Then we call this.  */
! extern void pstype1_intermediate_output (void);
  
  /* Then we call one or the other of these.  */
! extern void pstype1_output_bzr_char (bzr_char_type);
! extern void pstype1_output_ccc_char (ccc_type ccc_char, char_type **chars,
! 				     charcode_type ccc_code,
! 				     real bzr_designsize);
  
  /* And finally this is called at the end.  */
--- 25,47 ----
  #include "input-ccc.h"
  #include "tfm.h"
  
+ 
  /* This is called first.  */
! extern void pstype1_start_output (string output_name,
! 				  bzr_preamble_type, bzr_postamble_type);
! 
! /* Then these are called for characters needed as subroutines.  */
! extern void pstype1_output_bzr_subr (bzr_char_type);
! extern void pstype1_output_ccc_subr (ccc_type, charcode_type, char_type *[]);
  
! /* This starts the subroutines.  */
! extern void pstype1_start_subrs (unsigned subr_count);
  
! /* And this finishes the subroutines and starts the characters.  */
! extern void pstype1_start_chars (unsigned char_count);
  
  /* Then we call one or the other of these.  */
! extern void pstype1_output_bzr_char (bzr_char_type, char_type *[]);
! extern void pstype1_output_ccc_char (ccc_type, charcode_type, char_type *[]);
  
  /* And finally this is called at the end.  */
diff -Nrc2 fontutils-0.5/bzrto/pstype3.c fontutils-0.6/bzrto/pstype3.c
*** fontutils-0.5/bzrto/pstype3.c	Sat Aug 15 13:39:01 1992
--- fontutils-0.6/bzrto/pstype3.c	Mon Oct 19 13:40:45 1992
***************
*** 23,28 ****
  #include "bounding-box.h"
  #include "bzr.h"
  #include "spline.h"
- #include "tfm.h"
  
  #include "pstype3.h"
--- 23,28 ----
  #include "bounding-box.h"
  #include "bzr.h"
+ #include "encoding.h"
  #include "spline.h"
  
  #include "pstype3.h"
***************
*** 34,45 ****
  static string ps_filename;
  
! /* The interword space from the TFM file, in points.  */
! static real tfm_space;
  
  
- /* Subroutines.  */
- static void out_splines (spline_list_array_type);
- 
  
  
  /* Output macros.  */
--- 34,46 ----
  static string ps_filename;
  
! /* The interword space, in points.  */
! static real interword_space;
  
+ /* Whether or not a particular character has been written.  We depend on
+    this being initialized to false by virtue of its storage class.  */
+ static boolean char_output_p[ENCODING_VECTOR_SIZE];
  
  
+ static void out_splines (spline_list_array_type);
  
  /* Output macros.  */
***************
*** 96,101 ****
      }									\
     while (0)
- 
- 
  
  /* This should be called before the others in this file.  It opens the
--- 97,100 ----
***************
*** 111,124 ****
  
  void
! pstype3_start_output (string font_name, string output_name,
! 		      bzr_preamble_type pre, bzr_postamble_type post,
!                       string ps_fontname, tfm_global_info_type tfm_info)
  {
!   /* Find general information about the font.  Pass in the filename
!      we were given.  */
!   ps_font_info_type ps_info = ps_init (font_name, ps_fontname, tfm_info);
  
!   /* I don't know of any real convention about what extension to give
!      Type 3 fonts, so: */
    ps_filename = extend_filename (output_name, "pf3");
    ps_file = xfopen (ps_filename, "w");
--- 110,120 ----
  
  void
! pstype3_start_output (string output_name, 
! 		      bzr_preamble_type pre, bzr_postamble_type post)
  {
!   ps_font_info_type ps_info = ps_set_font_info ();
  
!   /* I don't know of any convention about what extension to give Type 3
!      fonts, so I use `pf3'.  */
    ps_filename = extend_filename (output_name, "pf3");
    ps_file = xfopen (ps_filename, "w");
***************
*** 126,130 ****
    /* Remember the natural interword space, so we can output it later, if
       necessary.  */
!   tfm_space = TFM_FONTDIMEN (tfm_info, TFM_SPACE_PARAMETER);
  
    /* Output some identification.  */
--- 122,126 ----
    /* Remember the natural interword space, so we can output it later, if
       necessary.  */
!   interword_space = ps_info.interword_space;
  
    /* Output some identification.  */
***************
*** 134,138 ****
    OUT_LINE ("/FontType 3 def");
    
!   /* xx should probably physically insert the BuildChar routine, as
       (run) doesn't work when the font is downloaded.  */
    OUT_LINE ("(" BUILD_CHAR_FILENAME ") run");
--- 130,134 ----
    OUT_LINE ("/FontType 3 def");
    
!   /* We should probably physically insert the BuildChar routine, as
       (run) doesn't work when the font is downloaded.  */
    OUT_LINE ("(" BUILD_CHAR_FILENAME ") run");
***************
*** 150,159 ****
    OUT_LINE ("/.notdef [ 0 0 0 0 0 0 {} ] def");
  }
- 
- 
- 
  
  /* This is called on each character to be output.  We set the global
!    `ps_char_output_p' at the given character code.  It then outputs a
     character description in the following format (which depends on the
     BuildChar routine):
--- 146,152 ----
    OUT_LINE ("/.notdef [ 0 0 0 0 0 0 {} ] def");
  }
  
  /* This is called on each character to be output.  We set the global
!    `char_output_p' for the given character code.  It then outputs a
     character description in the following format (which depends on the
     BuildChar routine):
***************
*** 168,181 ****
  pstype3_output_char (bzr_char_type c)
  {
!   ps_char_output_p[CHARCODE (c)] = true;
  
!   OUT1 ("/%s ", ps_encoding_name (CHARCODE (c)));
!   OUT5 ("[ %.3f 0 %.3f %.3f %.3f %.3f {\n", CHAR_SET_WIDTH (c),
!               BZR_CHAR_MIN_COL (c), BZR_CHAR_MIN_ROW (c),
!               BZR_CHAR_MAX_COL (c), BZR_CHAR_MAX_ROW (c));
  
!   out_splines (BZR_SHAPE (c));
  
!   OUT_LINE ("  fill } ] def");
  }
  
--- 161,179 ----
  pstype3_output_char (bzr_char_type c)
  {
!   string charname = ps_encoding_name (CHARCODE (c));
!   
!   if (!STREQ (charname, ".notdef"))
!     {
!       char_output_p[CHARCODE (c)] = true;
  
!       OUT1 ("/%s ", charname);
!       OUT5 ("[ %.3f 0 %.3f %.3f %.3f %.3f {\n", CHAR_SET_WIDTH (c),
!                   CHAR_MIN_COL (c), CHAR_MIN_ROW (c),
!                   CHAR_MAX_COL (c), CHAR_MAX_ROW (c));
  
!       out_splines (BZR_SHAPE (c));
  
!       OUT_LINE ("  fill } ] def");
!     }
  }
  
***************
*** 214,220 ****
      }
  }
- 
- 
- 
  
  /* This finishes up the PostScript for the character descriptions and for
--- 212,215 ----
***************
*** 228,236 ****
    /* If the space character hasn't been output, do so (even if it won't
       be encoded).  */
!   if (space_encoding == -1 || !ps_char_output_p[space_encoding])
      {
!       OUT1 ("/space [ %d 0 0 0 0 0 {} ] def\n", ROUND (tfm_space));
        if (space_encoding != -1)
!         ps_char_output_p[ps_encoding_number ("space")] = true;
      }
  
--- 223,231 ----
    /* If the space character hasn't been output, do so (even if it won't
       be encoded).  */
!   if (space_encoding == -1 || !char_output_p[space_encoding])
      {
!       OUT1 ("/space [ %d 0 0 0 0 0 {} ] def\n", ROUND (interword_space));
        if (space_encoding != -1)
!         char_output_p[space_encoding] = true;
      }
  
***************
*** 239,243 ****
  
    /* Now that we've seen all the characters, we can output the encoding.  */
!   ps_output_encoding (ps_file);
  
    /* Define and discard the font.  */
--- 234,238 ----
  
    /* Now that we've seen all the characters, we can output the encoding.  */
!   ps_output_encoding (ps_file, char_output_p);
  
    /* Define and discard the font.  */
diff -Nrc2 fontutils-0.5/bzrto/pstype3.h fontutils-0.6/bzrto/pstype3.h
*** fontutils-0.5/bzrto/pstype3.h	Mon Apr 13 14:23:12 1992
--- fontutils-0.6/bzrto/pstype3.h	Mon Oct  5 18:12:41 1992
***************
*** 26,32 ****
  
  /* This is called first.  */
! extern void pstype3_start_output (string font_name, string output_name,
! 				  bzr_preamble_type, bzr_postamble_type, 
!                                   string, tfm_global_info_type);
  
  /* Then this is called for each character.  */
--- 26,31 ----
  
  /* This is called first.  */
! extern void pstype3_start_output (string output_name,
! 				  bzr_preamble_type, bzr_postamble_type);
  
  /* Then this is called for each character.  */
diff -Nrc2 fontutils-0.5/bzrto/psutil.c fontutils-0.6/bzrto/psutil.c
*** fontutils-0.5/bzrto/psutil.c	Sun Aug 16 11:42:31 1992
--- fontutils-0.6/bzrto/psutil.c	Mon Oct 19 17:15:36 1992
***************
*** 28,34 ****
  
  
! /* Whether or not a particular character has been written.  We don't set
!    this, but we use it to figure out the encoding to output.  */
! boolean ps_char_output_p[ENCODING_VECTOR_SIZE];
  
  
--- 28,34 ----
  
  
! /* Information for the PostScript FontInfo dictionary, etc.
!    (-ps-font-info)  */
! string ps_global_info = NULL;
  
  
***************
*** 40,77 ****
  #define OUT2(s, e1, e2) do { fprintf (f, s, e1, e2); } while (0)
  
! 
  static void out_notdef_loop (FILE *, charcode_type, charcode_type);
- 
- 
  
! /* Return the information that goes in the FontInfo dictionary for the
!    font FONT_NAME, as well as a few other miscellaneous things.  This
!    uses TFM_INFO for some of the information, PS_FONT_NAME for others,
!    and guesses for the rest.  */
! 
! #define NO_PARAM_RET -1
  
  ps_font_info_type
! ps_init (string font_name, string ps_font_name, tfm_global_info_type tfm_info)
  {
    ps_font_info_type ret;
  
!   /* Default the full font name to the font's filename.  */
!   ret.font_name = ps_font_name ? : font_name;
    
!   /* The family name would be `Times' for the font `Times-BoldItalic', 
!       but it's `Helvetica' for `Helvetica'.  (It should be `Lucida' for
!      `LucidaBright-Italic', but we don't handle that case.)  */
!   ret.family_name = strchr (ret.font_name, '-');
!   if (ret.family_name == NULL)
!     ret.family_name = ret.font_name;  /* E.g., `Helvetica'.  */
!   else
!     ret.family_name
!       = substring (ret.font_name, 0, ret.family_name - 1- ret.font_name);
  
!   /* If the font name contains `Bold', that's the weight.  Otherwise,
!      guess `Medium'.  (I don't know of any programs that actually care
!      about this.)  */
!   ret.weight = strstr (ret.font_name, "Bold") ? "Bold" : "Medium";
  
    /* We should be able to compute the italic angle by somehow looking at
--- 40,88 ----
  #define OUT2(s, e1, e2) do { fprintf (f, s, e1, e2); } while (0)
  
! static string option_value (string, string);
  static void out_notdef_loop (FILE *, charcode_type, charcode_type);
  
! /* Return the information that goes in the FontInfo dictionary, etc.  We
!    use the global variables `ps_global_info' and `tfm_global_info' to
!    determine the information.  Either or both might be null.  */
  
  ps_font_info_type
! ps_set_font_info ()
  {
    ps_font_info_type ret;
  
!   /* The PostScript name of the font.  */
!   ret.font_name = option_value (ps_global_info, "FontName") ? : "unknown";
    
!   /* The typeface family which includes this font.  */
!   ret.family_name = option_value (ps_global_info, "FamilyName");
!   if (!ret.family_name)
!     { /* Since they didn't specify a family name, try to guess from the
!          font name.  The family name is `Times' for the font
!          `Times-BoldItalic', but it's `Helvetica' for `Helvetica'.  (It
!          should be `Lucida' for `LucidaBright-Italic', but we don't
!          handle that case.)  */
!       ret.family_name = strchr (ret.font_name, '-');
!       if (!ret.family_name)
!         ret.family_name = ret.font_name;  /* The `Helvetica' case.  */
!       else
!         ret.family_name
!           = substring (ret.font_name, 0, ret.family_name - 1 - ret.font_name);
!     }
  
!   ret.weight = option_value (ps_global_info, "Weight");
!   if (!ret.weight)
!     { /* Again, since they didn't specify a weight, try to guess from
!          the font name.  */
!       unsigned w;
!       string weights[]
!         = { "Black", "Book", "Bold", "Demi", "ExtraBold", "Light",
!             "Heavy", "Regular", "Semibold", "Ultra", NULL };
!       
!       for (w = 0; weights[w] != NULL && !strstr (ret.font_name, weights[w]);
!            w++)
!         ;
!       ret.weight = weights[w] ? : "Medium";
!     }
  
    /* We should be able to compute the italic angle by somehow looking at
***************
*** 78,100 ****
       the characters.  bdftops.ps rotates the `I' and takes the angle
       that minimizes the width, for example.  */
!   ret.italic_angle = 0;
    
    /* Monospaced fonts have no stretch or shrink in their interword
!      space (or shouldn't), but they do have a nonzero interword space
!      (math fonts sometimes have all their interword space parameters set
!      to zero).  */
!   ret.monospace_p
!     = TFM_SAFE_FONTDIMEN (tfm_info, TFM_STRETCH_PARAMETER, -1) == 0.0
!       && TFM_SAFE_FONTDIMEN (tfm_info, TFM_SHRINK_PARAMETER, -1) == 0.0
!       && TFM_SAFE_FONTDIMEN (tfm_info, TFM_SPACE_PARAMETER, 0) > 0.0;
  
    /* What might be a good way to compute this one?  */
!   ret.underline_position = -100;
    
!   /* Here we can use the rule thickness from the TFM file, if it's set.
!      Otherwise, just guess.  (A better guess would be the dominant stem
!      width in the font.)  */
!   ret.underline_thickness
!     = TFM_SAFE_FONTDIMEN (tfm_info, TFM_DEFAULTRULETHICKNESS_PARAMETER, 50);
  
    /* What to do about the UniqueID's?  Actually, I'm not sure they
--- 89,146 ----
       the characters.  bdftops.ps rotates the `I' and takes the angle
       that minimizes the width, for example.  */
!   {
!     string angle_str = option_value (ps_global_info, "ItalicAngle");
!     ret.italic_angle = angle_str ? atof (angle_str) : 0;
!   }
    
+   /* The interword space must come from `tfm_global_info'.  Otherwise,
+      we just let it be zero.  */
+   ret.interword_space
+     = tfm_global_info
+       ? TFM_SAFE_FONTDIMEN (*tfm_global_info, TFM_SPACE_PARAMETER, 0.0)
+       : 0.0;
+ 
    /* Monospaced fonts have no stretch or shrink in their interword
!      space (or shouldn't), but they do have a nonzero interword space.
!      (Except TeX math fonts have all their interword space parameters
!      set to zero).  */
!   {
!     string monospace_str = option_value (ps_global_info, "isFixedPitch");
!     if (monospace_str)
!       ret.monospace_p = STREQ (monospace_str, "true"); 
!     else if (tfm_global_info)
!       ret.monospace_p
!         =    TFM_SAFE_FONTDIMEN (*tfm_global_info, TFM_STRETCH_PARAMETER, -1)
!              == 0.0
!           && TFM_SAFE_FONTDIMEN (*tfm_global_info, TFM_SHRINK_PARAMETER, -1)
!              == 0.0
!           && TFM_SAFE_FONTDIMEN (*tfm_global_info, TFM_SPACE_PARAMETER, 0)
!              > 0.0;
!     else
!       ret.monospace_p = false;
!   }
  
    /* What might be a good way to compute this one?  */
!   {
!     string under_str = option_value (ps_global_info, "UnderlinePosition");
!     ret.underline_position = under_str ? atof (under_str) : -100;
!   }
    
!   /* Here we use the rule thickness from the TFM file, if it's set.
!      Otherwise, we should guess the dominant stem width in the font, but
!      that's too much work for too little return.  */
!   {
! #define DEFAULT_THICKNESS 50
!     string under_str = option_value (ps_global_info, "UnderlineThickness");
!     if (under_str)
!       ret.underline_thickness = atof (under_str);
!     else if (tfm_global_info)
!       ret.underline_thickness
!         = TFM_SAFE_FONTDIMEN (*tfm_global_info,
!                               TFM_DEFAULTRULETHICKNESS_PARAMETER,
!                               DEFAULT_THICKNESS);
!     else
!       ret.underline_thickness = DEFAULT_THICKNESS;
!   }
  
    /* What to do about the UniqueID's?  Actually, I'm not sure they
***************
*** 102,112 ****
       fonts to get a UniqueID from them, which is semi-reasonable, but a
       lot of trouble.  We just omit them.  */
!   ret.unique_id = 0;
    
    /* If there is no version number in the TFM file, then just say it's
       version 0.  */
!   ret.version = dtoa (TFM_SAFE_FONTDIMEN (tfm_info, TFM_VERSION_PARAMETER, 0));
    return ret;
  }
  
  /* Output the common beginning (after the %! line) of a PostScript font
--- 148,225 ----
       fonts to get a UniqueID from them, which is semi-reasonable, but a
       lot of trouble.  We just omit them.  */
!   {
!     string unique_id_str = option_value (ps_global_info, "UniqueID");
!     ret.unique_id = unique_id_str ? atou (unique_id_str) : 0;
!     if (ret.unique_id >= 1 << 24)
!       {
!         WARNING1 ("%u: UniqueID >= 2**24; changing to zero", ret.unique_id);
!         ret.unique_id = 0;
!       }
!   }
    
    /* If there is no version number in the TFM file, then just say it's
       version 0.  */
!   {
!     ret.version = option_value (ps_global_info, "version");
!     if (!ret.version)
!       ret.version
!         = tfm_global_info
!           && TFM_FONTDIMEN_COUNT (*tfm_global_info) >= TFM_VERSION_PARAMETER
!           ? dtoa (TFM_FONTDIMEN (*tfm_global_info, TFM_VERSION_PARAMETER))
!           : "0";
!   }
! 
    return ret;
  }
+ 
+ 
+ /* Consider OPTION_STR as a list of <name>:<value> items separated by
+    commas; return the <value> (as a string) associated with NAME, or
+    NULL.  This could plausibly be put in `lib', but since we have one
+    place (the routine just above) where we need to set each of a given
+    set of names, as opposed to doing something with each specified
+    item, we just define it here.  */
+ 
+ static string 
+ option_value (string option_str, string name)
+ {
+   string item_end;
+   string value = NULL;
+   string item_start = option_str;
+ 
+   if (option_str == NULL)
+     return NULL;
+     
+   do
+     {
+       string item, colon;
+       
+       item_end = strchr (item_start, ',');
+       item = item_end
+              ? substring (item_start, 0, item_end - 1 - item_start)
+              : item_start;
+       colon = strchr (item, ':');
+       
+       if (colon)
+         {
+           string item_name = substring (item, 0, colon - 1 - item);
+           
+           if (STREQ (item_name, name))
+             value = xstrdup (colon + 1);
+ 
+           free (item_name);
+         }
+       else
+         WARNING1 ("%s: Missing colon in option string", item);
+       
+       if (item != item_start)
+         free (item);
+       
+       item_start = item_end + 1;
+     }
+   while (item_end);
+   
+   return value;
+ }
  
  /* Output the common beginning (after the %! line) of a PostScript font
***************
*** 147,155 ****
  
    if (ps_info.unique_id)
!     OUT1 ("/UniqueID %d\n", ps_info.unique_id);
  }
- 
- 
-    
  
  /* Return the name corresponding to the number N in the current
--- 260,265 ----
  
    if (ps_info.unique_id)
!     OUT1 ("/UniqueID %d def\n", ps_info.unique_id);
  }
  
  /* Return the name corresponding to the number N in the current
***************
*** 182,192 ****
  
  
! /* Output the encoding vector to the file F, based on the variables
!    `ps_char_output_p' and `encoding'.  */
! 
! #define INIT_CODE  ENCODING_VECTOR_SIZE
  
  void
! ps_output_encoding (FILE *f)
  {
    unsigned c;
--- 292,300 ----
  
  
! /* Output the encoding vector to the file F, based on CHAR_OUTPUT_P and
!    the global `encoding'.  */
  
  void
! ps_output_encoding (FILE *f, boolean char_output_p[])
  {
    unsigned c;
***************
*** 193,197 ****
    int range_start = -1;
  
!   fprintf (f, "/Encoding %d array\n", ENCODING_VECTOR_SIZE);
  
    for (c = 0; c < ENCODING_VECTOR_SIZE; c++)
--- 301,306 ----
    int range_start = -1;
  
!   fprintf (f, "/Encoding %d array %% %s\n", ENCODING_VECTOR_SIZE,
!            ENCODING_SCHEME_NAME (encoding_info));
  
    for (c = 0; c < ENCODING_VECTOR_SIZE; c++)
***************
*** 198,202 ****
      { /* Write sequences of .notdef's and characters we didn't output
           using a loop.  */
!       if (!ps_char_output_p[c]
  	  || STREQ (ENCODING_CHAR_NAME (encoding_info, c), ".notdef"))
  	{ /* Start or continue a loop.  */
--- 307,312 ----
      { /* Write sequences of .notdef's and characters we didn't output
           using a loop.  */
!       if (!char_output_p[c]
!           || ENCODING_CHAR_NAME (encoding_info, c) == NULL
  	  || STREQ (ENCODING_CHAR_NAME (encoding_info, c), ".notdef"))
  	{ /* Start or continue a loop.  */
***************
*** 218,223 ****
      }
    
!   /* If the encoding ends with .notdef's, we'll be in the midst of a
!      loop. */
    if (range_start != -1)
      out_notdef_loop (f, range_start, c - 1);
--- 328,332 ----
      }
    
!   /* If the character 255 is not encoded, we'll be in the midst of a loop. */
    if (range_start != -1)
      out_notdef_loop (f, range_start, c - 1);
***************
*** 228,233 ****
  
  
! /* Output a loop to write .notdef's into the Encoding vector between
!    START and END.  */
  
  static void
--- 337,342 ----
  
  
! /* Output a loop to put .notdef's into the encoding vector between START
!    and END.  Assume the `Encoding' array is the top of the stack.  */
  
  static void
***************
*** 234,238 ****
  out_notdef_loop (FILE *f, charcode_type start, charcode_type end)
  {
!   /* Assume the Encoding array is the top of the operand stack.  */
!   OUT2 ("  %d 1 %d { 1 index exch /.notdef put } bind for\n", start, end);
  }
--- 343,349 ----
  out_notdef_loop (FILE *f, charcode_type start, charcode_type end)
  {
!   if (start == end)
!     OUT1 ("  dup %d /.notdef put\n", start);
!   else
!     OUT2 ("  %d 1 %d { 1 index exch /.notdef put } bind for\n", start, end);
  }
diff -Nrc2 fontutils-0.5/bzrto/psutil.h fontutils-0.6/bzrto/psutil.h
*** fontutils-0.5/bzrto/psutil.h	Tue Apr 14 08:30:38 1992
--- fontutils-0.6/bzrto/psutil.h	Mon Oct 19 13:27:04 1992
***************
*** 31,34 ****
--- 31,35 ----
    string family_name;
    string font_name;
+   real interword_space;
    int italic_angle; /* In degrees.  */
    boolean monospace_p;
***************
*** 40,48 ****
  
  
! /* Return the information that goes in the FontInfo dictionary for the
!    font FONT_NAME, as well as a few other miscellanous things.  We
!    initialize the `ps_char_output_p' global.  */
! extern ps_font_info_type ps_init (string font_name, string ps_fontname,
!                                   tfm_global_info_type);
  
  /* Output the starting boilerplate that is the same for Type 1 and Type
--- 41,47 ----
  
  
! /* Return the information that goes in the FontInfo dictionary, as well
!    as a few other miscellanous things.  */
! extern ps_font_info_type ps_set_font_info (void);
  
  /* Output the starting boilerplate that is the same for Type 1 and Type
***************
*** 51,61 ****
                             string comment);
  
! /* Output an encoding vector, using a global vector `ps_char_output_p'
!    (declared below) to tell which characters exist in the font.
!    `ps_init' must be called before this.  */
! extern void ps_output_encoding (FILE *);
  
! /* Return the name corresponding to the character code N in the current
!    encoding.  */
  extern string ps_encoding_name (charcode_type n);
  
--- 50,58 ----
                             string comment);
  
! /* Output an encoding vector, using CHAR_OUTPUT_P to tell which
!    characters exist in the font.  */
! extern void ps_output_encoding (FILE *, boolean char_output_p[]);
  
! /* Return the name corresponding to character code N in `encoding_info'.  */
  extern string ps_encoding_name (charcode_type n);
  
***************
*** 64,71 ****
  extern int ps_encoding_number (string name);
  
! /* Says whether a particular character has been output.  Initialized by
!    `ps_init', and used by `ps_output_encoding', et al.  Defined in
!    psutil.c.  */
! extern boolean ps_char_output_p[];
  
  #endif /* not PSUTIL_H */
--- 61,66 ----
  extern int ps_encoding_number (string name);
  
! /* User option; see psutil.c.  */
! extern string ps_global_info;
  
  #endif /* not PSUTIL_H */
diff -Nrc2 fontutils-0.5/bzrto/text.c fontutils-0.6/bzrto/text.c
*** fontutils-0.5/bzrto/text.c	Tue Sep  1 14:04:24 1992
--- fontutils-0.6/bzrto/text.c	Sun Oct 11 15:42:32 1992
***************
*** 66,71 ****
    printf ("  (width \"%.3f\")\n", CHAR_SET_WIDTH (c));
    printf ("  (bb ");
!   OUT_NUM4 (BZR_CHAR_MIN_COL (c), BZR_CHAR_MAX_COL (c),
!             BZR_CHAR_MIN_ROW (c), BZR_CHAR_MAX_ROW (c));
    puts (")");
  
--- 66,71 ----
    printf ("  (width \"%.3f\")\n", CHAR_SET_WIDTH (c));
    printf ("  (bb ");
!   OUT_NUM4 (CHAR_MIN_COL (c), CHAR_MAX_COL (c),
!             CHAR_MIN_ROW (c), CHAR_MAX_ROW (c));
    puts (")");
  
diff -Nrc2 fontutils-0.5/bzrto/version.c fontutils-0.6/bzrto/version.c
*** fontutils-0.5/bzrto/version.c	Thu Sep  3 09:46:19 1992
--- fontutils-0.6/bzrto/version.c	Tue Oct 27 13:27:58 1992
***************
*** 1 ****
! char *version_string = "bzrto version 0.5";
--- 1 ----
! char *version_string = "bzrto version 0.6";
diff -Nrc2 fontutils-0.5/charspace/ChangeLog fontutils-0.6/charspace/ChangeLog
*** fontutils-0.5/charspace/ChangeLog	Thu Sep  3 09:29:46 1992
--- fontutils-0.6/charspace/ChangeLog	Tue Oct 27 13:02:50 1992
***************
*** 1,2 ****
--- 1,6 ----
+ Tue Oct 27 13:01:50 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* Version 0.6.
+ 
  Thu Sep  3 09:29:46 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/charspace/version.c fontutils-0.6/charspace/version.c
*** fontutils-0.5/charspace/version.c	Thu Sep  3 09:46:19 1992
--- fontutils-0.6/charspace/version.c	Tue Oct 27 13:27:58 1992
***************
*** 1 ****
! char *version_string = "charspace version 0.5";
--- 1 ----
! char *version_string = "charspace version 0.6";
diff -Nrc2 fontutils-0.5/configure.in fontutils-0.6/configure.in
*** fontutils-0.5/configure.in	Wed Jul 22 08:50:53 1992
--- fontutils-0.6/configure.in	Mon Oct  5 10:29:32 1992
***************
*** 18,23 ****
--- 18,27 ----
  AC_PROG_RANLIB
  
+ AC_AIX
+ AC_DYNIX_SEQ
  AC_ISC_POSIX
  AC_ISC_WLIBS
+ AC_MINIX
+ AC_XENIX_DIR
  
  AC_DIR_HEADER
***************
*** 33,35 ****
  
  # This will generate `Makefile'(s), `config.status', and our header file.
! AC_OUTPUT(./GNUmakefile)
--- 37,39 ----
  
  # This will generate `Makefile'(s), `config.status', and our header file.
! AC_OUTPUT(./GNUmakefile doc/Makefile)
diff -Nrc2 fontutils-0.5/data/ChangeLog fontutils-0.6/data/ChangeLog
*** fontutils-0.5/data/ChangeLog	Thu Sep  3 09:29:53 1992
--- fontutils-0.6/data/ChangeLog	Wed Oct 28 16:08:15 1992
***************
*** 1,2 ****
--- 1,32 ----
+ Wed Oct 28 15:10:12 1992  Karl Berry  (karl@claude.cs.umb.edu)
+ 
+ 	* Vesion 0.6.
+ 
+ 	* defsprog.make (install): Make second arg a file, not a dir.
+ 
+ Tue Oct 27 13:02:40 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* defs.make (dist): Make .c files from .y source.
+ 
+ Mon Oct 19 08:05:34 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* ascii.enc: Remove trailing .notdef's.
+ 
+ 	* encoding.map (mflogo): New entry.
+         * mflogo.enc: New file.
+ 
+ Sun Oct  4 11:31:42 1992  Karl Berry  (karl@cs.umb.edu)
+ 
+ 	* ggmr.{ifi,1200cmi}: Make links here so we distribute these files
+ 	(even though we can't use the image they go with for legal reasons).
+ 
+ Tue Sep 15 08:40:11 1992  Karl Berry  (karl@hayley)
+ 
+         * defs.make (RANLIB): define as `@true', so it's silent.
+ 
+ Fri Sep  4 08:42:42 1992  Karl Berry  (karl@hayley)
+ 
+         * defs.make (extraclean): new target.
+ 
  Thu Sep  3 09:29:53 1992  Karl Berry  (karl@hayley)
  
diff -Nrc2 fontutils-0.5/data/ascii.enc fontutils-0.6/data/ascii.enc
*** fontutils-0.5/data/ascii.enc	Fri Mar 20 14:59:47 1992
--- fontutils-0.6/data/ascii.enc	Mon Oct 19 08:07:58 1992
***************
*** 127,257 ****
  braceright
  asciitilde
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
- .notdef
--- 127,128 ----
diff -Nrc2 fontutils-0.5/data/defs.make fontutils-0.6/data/defs.make
*** fontutils-0.5/data/defs.make	Mon Aug 31 09:45:54 1992
--- fontutils-0.6/data/defs.make	Tue Oct 27 13:26:06 1992
***************
*** 29,33 ****
  LDFLAGS = $(XLDFLAGS)
  LIBS = -lm
! RANLIB = true
  srcdir = .
  
--- 29,33 ----
  LDFLAGS = $(XLDFLAGS)
  LIBS = -lm
! RANLIB = @true
  srcdir = .
  
***************
*** 117,120 ****
--- 117,121 ----
  	mkdir $(distdir)
  	ln ChangeLog GNUmakefile M.depend README $(distdir)
+ 	if test -n "$(y)"; then $(MAKE) $(y).c; fi
  	find \( -name \*.c -o -name \*.h \) -exec ln '{}' $(distdir)/'{}' \;
  .PHONY: dist
***************
*** 134,139 ****
  
  distclean:: clean
! # Remove all files that would not be in a distribution.
  .PHONY: distclean
  
  realclean:: distclean
--- 135,146 ----
  
  distclean:: clean
! # Delete all files that users would normally create from compilation and
! # installation. 
  .PHONY: distclean
+ 
+ extraclean:: distclean
+ # Delete anything likely to be found in the source directory
+ # that shouldn't be in the distribution.
+ 	rm -f *.tfm *gf *pk *.bzr *~ *\#* patch* *.orig *.rej
  
  realclean:: distclean
diff -Nrc2 fontutils-0.5/data/defsprog.make fontutils-0.6/data/defsprog.make
*** fontutils-0.5/data/defsprog.make	Wed Sep  2 17:31:07 1992
--- fontutils-0.6/data/defsprog.make	Wed Oct 28 16:08:24 1992
***************
*** 21,25 ****
  
  install:: $(program)
! 	$(INSTALL_PROGRAM) $(program) $(bindir)
  
  # Make sure all the libraries this program needs are built.
--- 21,25 ----
  
  install:: $(program)
! 	$(INSTALL_PROGRAM) $(program) $(bindir)/$(program)
  
  # Make sure all the libraries this program needs are built.
diff -Nrc2 fontutils-0.5/data/ggmr.1200cmi fontutils-0.6/data/ggmr.1200cmi
*** fontutils-0.5/data/ggmr.1200cmi	Wed Sep  2 15:26:25 1992
--- fontutils-0.6/data/ggmr.1200cmi	Sun Oct  4 11:31:40 1992
***************
*** 1,3 ****
! % Charspace input for the main Garamond letters.
  
  codingscheme "GNU Latin text"
--- 1,3 ----
! % Charspace input for page 42/Atlas of Typeforms Garamond roman.
  
  codingscheme "GNU Latin text"
